scala.xml.parsing

# FactoryAdapter

#### abstract class FactoryAdapter extends DefaultHandler with XMLLoader[Node]

SAX adapter class, for use with Java SAX parser. Keeps track of namespace bindings, without relying on namespace handling of the underlying SAX parser.

Source
  FactoryAdapter.scala

Linear Supertypes
XMLLoader[Node], DefaultHandler, ErrorHandler, ContentHandler, DTDHandler, org.xml.sax.EntityResolver, AnyRef, Any
Known Subclasses
NoBindingFactoryAdapter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FactoryAdapter
2. XMLLoader
3. DefaultHandler
4. ErrorHandler
5. ContentHandler
6. DTDHandler
7. EntityResolver
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FactoryAdapter()

### Abstract Value Members

1. #### abstract def createNode(pre: String, elemName: String, attribs: MetaData, scope: NamespaceBinding, chIter: List[Node]): Node

   creates an new non-text(tree) node.

   creates an new non-text(tree) node.

   elemName
   attribs
   chIter
   returns

     a new XML element.

2. #### abstract def createProcInstr(target: String, data: String): Seq[ProcInstr]

   creates a new processing instruction node.

3. #### abstract def createText(text: String): Text

   creates a Text node.

   creates a Text node.

   text
   returns

     a new Text node.

4. #### abstract def nodeContainsText(localName: String): Boolean

   Tests if an XML element contains text.

   Tests if an XML element contains text.

   returns

     true if element named `localName` contains text.

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FactoryAdapter to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (FactoryAdapter, B)

   Implicit information
     This member is added by an implicit conversion from FactoryAdapter to ArrowAssoc[FactoryAdapter] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def adapter: FactoryAdapter

   Definition Classes
     XMLLoader

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### val attribStack: Stack[MetaData]

11. #### val buffer: collection.mutable.StringBuilder

12. #### var capture: Boolean

13. #### def captureText(): Unit

    captures text, possibly normalizing whitespace

14. #### def characters(ch: Array[Char], offset: Int, length: Int): Unit

    Characters.

    Characters.

    ch
    offset
    length

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

16. #### var curTag: String

17. #### def endDocument(): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws ()

18. #### def endElement(uri: String, _localName: String, qname: String): Unit

    End element.

    End element.

    uri
    _localName
    qname
    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler
    Exceptions thrown
      org.xml.sax.SAXException

      if ..

19. #### def endPrefixMapping(arg0: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws ()

20. #### def ensuring(cond: (FactoryAdapter) ⇒ Boolean, msg: ⇒ Any): FactoryAdapter

    Implicit information
      This member is added by an implicit conversion from FactoryAdapter to Ensuring[FactoryAdapter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: (FactoryAdapter) ⇒ Boolean): FactoryAdapter

    Implicit information
      This member is added by an implicit conversion from FactoryAdapter to Ensuring[FactoryAdapter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean, msg: ⇒ Any): FactoryAdapter

    Implicit information
      This member is added by an implicit conversion from FactoryAdapter to Ensuring[FactoryAdapter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean): FactoryAdapter

    Implicit information
      This member is added by an implicit conversion from FactoryAdapter to Ensuring[FactoryAdapter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

26. #### def error(arg0: org.xml.sax.SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws ()

27. #### def fatalError(arg0: org.xml.sax.SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws ()

28. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

29. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from FactoryAdapter to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

30. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

31. #### val hStack: Stack[Node]

32. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

33. #### def ignorableWhitespace(arg0: Array[Char], arg1: Int, arg2: Int): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws ()

34. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

35. #### def load(url: URL): Node

    Definition Classes
      XMLLoader

36. #### def load(source: InputSource): Node

    Definition Classes
      XMLLoader

37. #### def load(sysID: String): Node

    Definition Classes
      XMLLoader

38. #### def load(reader: Reader): Node

    Definition Classes
      XMLLoader

39. #### def load(is: InputStream): Node

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    Definition Classes
      XMLLoader

40. #### def loadFile(name: String): Node

    Definition Classes
      XMLLoader

41. #### def loadFile(fd: FileDescriptor): Node

    Definition Classes
      XMLLoader

42. #### def loadFile(file: File): Node

    Loads XML from the given file, file descriptor, or filename.

    Loads XML from the given file, file descriptor, or filename.

    Definition Classes
      XMLLoader

43. #### def loadString(string: String): Node

    Loads XML from the given String.

    Loads XML from the given String.

    Definition Classes
      XMLLoader

44. #### def loadXML(source: InputSource, parser: SAXParser): Node

    Loads XML from the given InputSource, using the supplied parser.

    Loads XML from the given InputSource, using the supplied parser. The methods available in scala.xml.XML use the XML parser in the JDK.

    Definition Classes
      XMLLoader

45. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

46. #### val normalizeWhitespace: Boolean

47. #### def notationDecl(arg0: String, arg1: String, arg2: String): Unit

    Definition Classes
      DefaultHandler → DTDHandler
    Annotations
      @throws ()

48. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

49. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

50. #### def parser: SAXParser

    Definition Classes
      XMLLoader

51. #### def processingInstruction(target: String, data: String): Unit

    Processing instruction.

    Processing instruction.

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

52. #### def resolveEntity(arg0: String, arg1: String): org.xml.sax.InputSource

    Definition Classes
      DefaultHandler → EntityResolver
    Annotations
      @throws () @throws ()

53. #### var rootElem: Node

54. #### var scopeStack: Stack[NamespaceBinding]

55. #### def setDocumentLocator(arg0: Locator): Unit

    Definition Classes
      DefaultHandler → ContentHandler

56. #### def skippedEntity(arg0: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws ()

57. #### def startDocument(): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws ()

58. #### def startElement(uri: String, _localName: String, qname: String, attributes: Attributes): Unit

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

59. #### def startPrefixMapping(arg0: String, arg1: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws ()

60. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

61. #### val tagStack: Stack[String]

62. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

63. #### def unparsedEntityDecl(arg0: String, arg1: String, arg2: String, arg3: String): Unit

    Definition Classes
      DefaultHandler → DTDHandler
    Annotations
      @throws ()

64. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

65. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

66. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

67. #### def warning(arg0: org.xml.sax.SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws ()

68. #### def →[B](y: B): (FactoryAdapter, B)

    Implicit information
      This member is added by an implicit conversion from FactoryAdapter to ArrowAssoc[FactoryAdapter] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from FactoryAdapter to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (factoryAdapter: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from FactoryAdapter to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (factoryAdapter: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: FactoryAdapter

   Implicit information
     This member is added by an implicit conversion from FactoryAdapter to ArrowAssoc[FactoryAdapter] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (factoryAdapter: ArrowAssoc[FactoryAdapter]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: FactoryAdapter

   Implicit information
     This member is added by an implicit conversion from FactoryAdapter to Ensuring[FactoryAdapter] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (factoryAdapter: Ensuring[FactoryAdapter]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from XMLLoader[Node]

### Inherited from DefaultHandler

### Inherited from ErrorHandler

### Inherited from ContentHandler

### Inherited from DTDHandler

### Inherited from org.xml.sax.EntityResolver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FactoryAdapter to StringAdd

### Inherited by implicit conversion any2stringfmt from FactoryAdapter to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from FactoryAdapter to ArrowAssoc[FactoryAdapter]

### Inherited by implicit conversion any2Ensuring from FactoryAdapter to Ensuring[FactoryAdapter]

### Ungrouped